Subject: bug#52821: closed (Re: bug#52821: Should "(elisp) Keymaps" describe key sequences first?)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Mar 2025 05:38:02 +0000

Your bug report

#52821: Should "(elisp) Keymaps" describe key sequences first?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52821: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=52821
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52821: Should "(elisp) Keymaps" describe key sequences first?
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Feb 2025 21:37:34 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.2

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Now that we promote the new keymap-* functions, does it really make
>> sense to start the section (info "(elisp) Keymaps") with a description
>> of key sequences?
>>
>> This seems to now be considered more of an internal detail, and the
>> thing that should be exposed to (new) ELisp code is rather the new key
>> description format accepted by `key-valid-p'.
>>
>> I'm thinking it should be moved further down, perhaps in a section next
>> to this one:
>>
>> * Low-Level Key Binding::       Legacy key syntax description.
>
> Yes, sounds good to me.
>
>> There is a good description on the "new" key format in
>> (info "(elisp) Changing Key Bindings").  Perhaps it should
>> be moved up instead?
>
> Yup.

Now done on emacs-30.  I'm therefore closing this bug report.

Subject: Should "(elisp) Keymaps" describe key sequences first?
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Mon, 27 Dec 2021 07:24:22 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Now that we promote the new keymap-* functions, does it really make
sense to start the section (info "(elisp) Keymaps") with a description
of key sequences?

This seems to now be considered more of an internal detail, and the
thing that should be exposed to (new) ELisp code is rather the new key
description format accepted by `key-valid-p'.

I'm thinking it should be moved further down, perhaps in a section next
to this one:

* Low-Level Key Binding::       Legacy key syntax description.

There is a good description on the "new" key format in
(info "(elisp) Changing Key Bindings").  Perhaps it should
be moved up instead?